﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditItem.aspx.cs" Inherits="EditItem" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Add Item</title>
    
    <script language="javascript" src="Javascript/Format.js"></script>
    <script language="javascript">
		function cancel()
		{
			if (confirm("Do you really want to cancel?"))
			{
				self.close();
			}
		}
		function setEndTime(startTime)
		{
			var endTime = document.getElementById("InsertForm_txtEndTime");
			if (endTime.value == "")
			{
				endTime.value = startTime.value;
			}
		}
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    	<asp:LinqDataSource ID="TimeTrackingDataSource" runat="server" 
			ContextTypeName="BugBustersDataContextWeb" 
			EnableInsert="True"
			TableName="TimeTrackings" />
		<asp:LinqDataSource ID="ProjectDataSource" runat="server" 
			ContextTypeName="BugBustersDataContextWeb" 
			TableName="Projects" />
		<asp:LinqDataSource ID="TaskTypeDataSource" runat="server" 
			ContextTypeName="BugBustersDataContextWeb" 
			TableName="TaskTypes" />
		<asp:LinqDataSource ID="UserDataSource" runat="server" 
			ContextTypeName="BugBustersDataContextWeb" 
			TableName="Users" />
		
		<h1>Add Entry</h1>
		<asp:DetailsView ID="InsertForm" runat="server" AutoGenerateRows="False" 
			CellPadding="4" DataKeyNames="TrackingId" DataSourceID="TimeTrackingDataSource" 
			ForeColor="#333333" GridLines="None" Height="50px" Width="355px" 
			style="margin-top: 0px">
			<FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
			<CommandRowStyle BackColor="#E2DED6" Font-Bold="True" />
			<RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
			<FieldHeaderStyle BackColor="#E9ECF1" Font-Bold="True" />
			<PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
			<Fields>
				<asp:TemplateField HeaderText="Project Code">
					<InsertItemTemplate>
						<asp:DropDownList ID="lstProjects"
							DataSourceID="ProjectDataSource" DataTextField="ProjectCode" 
							DataValueField="ProjectId" runat="server" />
					</InsertItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="Task Type Code">
					<InsertItemTemplate>
						<asp:DropDownList ID="lstTaskTypes"
							DataSourceID="TaskTypeDataSource" DataTextField="TaskTypeCode" 
							DataValueField="TaskTypeId" runat="server" />
					</InsertItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="Windows-Login">
					<InsertItemTemplate>
						<asp:DropDownList ID="lstUsers"
							DataSourceID="UserDataSource" DataTextField="WindowsLogin" 
							DataValueField="UserId" runat="server" />
					</InsertItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="StartTime">
					<InsertItemTemplate><asp:TextBox ID="txtStartTime" onchange="CheckDateTime(this, 1); setEndTime(this);" runat="server" /></InsertItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="EndTime">
					<InsertItemTemplate><asp:TextBox ID="txtEndTime" onchange="CheckDateTime(this, 1)" runat="server" /></InsertItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField HeaderText="Comment">
					<InsertItemTemplate><asp:TextBox ID="txtComment" runat="server" /></InsertItemTemplate>
				</asp:TemplateField>
				
				<asp:TemplateField>
					<InsertItemTemplate>
						<asp:LinkButton ID="lnkStore" Text="Store" CommandName="Insert" runat="server" /> 
						<asp:HyperLink ID="lnkCancel" NavigateUrl="javascript:cancel();" Text="Cancel" runat="server" />
					</InsertItemTemplate>
				</asp:TemplateField>
			</Fields>
			<HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
			<EditRowStyle BackColor="#999999" />
			<AlternatingRowStyle BackColor="White" ForeColor="#284775" />
		</asp:DetailsView>
		
    </div>
    </form>
	
</body>
</html>
